Ubuntu

update to 2011.2

Reported by Bruce D'Arcus on 2011-02-01
78
This bug affects 13 people
Affects Status Importance Assigned to Milestone
haskell-platform (Debian)
Fix Released
Unknown
haskell-platform (Ubuntu)
Medium
Iain Lane

Bug Description

Binary package hint: haskell-platform

It'd be nice if this package could keep up with the haskell platform distributions. The last was 2010.2, and I believe another one is (2011.1) is scheduled soon. I'm already getting "You are using the old package `base' version 3.x" errors trying to compile some things via cabal.

tags: added: upgrade-software-version
Berezin Kirill (pechenie-k) wrote :

Haskell platform 2011.02 has been already released: http://hackage.haskell.org/platform/linux.html
I hope it will be included in natty.

summary: - update to 2010.2
+ update to 2011.02

I know that ghc7, as part of supporting Haskell Prime, drops support for certain syntax constructs. However, I think multiple haskell-platforms could co-exist if some packages absolutely require the old platform.

Berezin Kirill (pechenie-k) wrote :

Gatlin, you're right, backwards compatibility is important. But in my opition Haskell Platform itself should be up-to-date, but GHC may have different branches as, for example, gcc has. There are only ghc6 metapackage is in the repository, but there are should be both ghc6 and ghc7 with haskell-platfrom dependent on ghc7, IMHO.

Iain Lane (laney) wrote :

We're transitioning to GHC 7 and the new platform in Debian at the minute. It's too late to make Natty as we are after the freeze now, but you can expect it to get to Ubuntu in the Onieric cycle.

Changed in haskell-platform (Ubuntu):
assignee: nobody → Iain Lane (laney)
importance: Undecided → Medium
status: New → In Progress
Bruce D'Arcus (bdarcus) wrote :

Can you not update the the platform now natty with the ghc6 dependency, and then migrate to ghc7 for the next release?

@Iain Lane Onieric is some 4 months away and currently packaged haskell-platform is still broken Bug #742052.

Meanwhile 2011.2.0.1.1 is packaged and ready in onieric & debian sid http://packages.debian.org/sid/haskell-platform
http://packages.ubuntu.com/oneiric/haskell-platform

Can we see this in natty-updates/natty-backports/even personal ppa?
Please please please...

@Iain my bad ... turns out they have only placeholder pages with no debs. Ignore previous comment. I feel like a fool.

Filip Brcic (brcha) wrote :

haskell-platform 2010.2.0.0.1 is packaged in my PPA if you want to use it on natty.

https://launchpad.net/~brcha/+archive/ppa

Thanks Filip. You're a lifesaver.

Fixed in oneiric.

Changed in haskell-platform (Ubuntu):
status: In Progress → Fix Released
summary: - update to 2011.02
+ update to 2011.2
Changed in haskell-platform (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.